package com.securitycontrol.system.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.system.dto.OrgDto;
import com.securitycontrol.entity.system.vo.OrgVo;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * 租户机构接口层
 *
 * @author HeiZi
 */
public interface OrgService {
    /**
     * 查询组织机构结婚
     *
     * @param dto
     * @return
     */
    Result<List<OrgVo>> getOrgList(OrgDto dto);

    /**
     * 新增组织机构
     *
     * @param dto
     * @return
     */
    Result<String> addOrg(OrgVo dto);

    /**
     * 修改组织机构
     *
     * @param dto
     * @return
     */
    Result<String> updateOrg(OrgVo dto);

    /**
     * 删除组织机构
     *
     * @param dto
     * @return
     */
    Result<String> delOrg(OrgDto dto);

    /**
     * 依据id查询详情
     *
     * @param dto
     * @return
     */
    Result<OrgVo> getDetails(String dto);
}
